Bug 184075 - Cannot undo "Automatically save changes..." option cleanly.
Cannot undo "Automatically save changes..." option cleanly.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 17:40 EST by Robert Nichols
Modified: 2009-01-09 01:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2006-03-05 17:40:13 EST
Description of problem:
Once the "Automatically save changes to session" option has been used, this
option cannot be later de-selected without causing extraneous windows to appear
at every subsequent login.

Version-Release number of selected component (if applicable):
gnome-session-2.13.92-2

How reproducible:
Always

Steps to Reproduce:
1. In gnome-session-properties, select the "Automatically save changes..."
option, then click on "Close".
2. Log out, then log back in.
3. In gnome-session-properties, de-select the "Automatically save changes..."
option, then click on "Close".
4. Log out, then log back in.
  
Actual results:
Two extra windows will appear, (1) a Nautilus window showing the home directory,
and (2) a gnome-session-properties window.

Expected results:
These extra windows, which were not open when the "saved" session was closed,
should not appear.

Additional info:
Comment 1 Hans de Goede 2006-03-10 13:51:45 EST
I have this too, very anoying.

What is also anoying and caused me to trigger this bug is that the logout /
shutdown dialogs no longer ask to save the session, not even when the ask on
logout checkbox in gnome-session-properties is checked, I'll file a seperate bug
for this.

Comment 2 Robert Nichols 2006-03-10 16:41:20 EST
The workaround is to manually edit
~/.gconf/apps/gnome-session/options/%gconf.xml to turn off the auto_save_session
option rather than using the gnome-session-properties tool to do that.  Note
that your session will still get saved one last time after you do that, but that
save won't include any extraneous windows.

( You can still call this "user-friendly" as long as you use a user-friendly
text editor for the task. ;-)
Comment 3 Need Real Name 2006-11-09 12:12:53 EST
I'm seeing this problem in FC6 ...
Comment 4 Matthew Miller 2007-04-06 14:27:38 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Hans de Goede 2007-04-07 03:56:06 EDT
I've just tried to reproduce this on a Fedora 7 test3 system and this still
happens, although slightly different. The original bug description was:

---

Steps to Reproduce:
1. In gnome-session-properties, select the "Automatically save changes..."
option, then click on "Close".
2. Log out, then log back in.
3. In gnome-session-properties, de-select the "Automatically save changes..."
option, then click on "Close".
4. Log out, then log back in.
  
Actual results:
Two extra windows will appear, (1) a Nautilus window showing the home directory,
and (2) a gnome-session-properties window.

Expected results:
These extra windows, which were not open when the "saved" session was closed,
should not appear.

---

With Fedora 7 test3, only one extra window appears, the Nautilus window showing
the home directory. So tihs is partially fixed. Appearantly when nautilius was
set up to remember any and all open nautilus windows when the last session
ended, and when the session starts there is no fresh info, it goes to its
default behavious of opening a home-dir window. I think this might be a nautilus
bug.
Comment 6 Bug Zapper 2008-04-03 13:04:26 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Robert Nichols 2008-04-03 17:38:58 EDT
Still present in Fedora 8.  Symptoms same as described in comment #5 (above) for
F 7 test 3 -- an extra Nautilus window opens.  This is in a newly installed and
updated Fedora 8.
Comment 8 Bug Zapper 2008-11-26 01:56:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:56:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.